*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    overflow-x: hidden;
}

.Hero__Section
{
    background: url(./images/heroSectionBackground.png);
    background-size: cover;
    background-position: center;
    color: white;
    min-height: 60vh;
}

.navbar
{
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 65px;
    padding: 16px 48px;   
}

.navbar a
{
    color: white;
    text-decoration: none;
}

.navbar__menu_container
{
    display: flex;
    gap: 18px;
}

.navbar__menu_container .user_icon
{
    height: 25px;
    width: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
    border: solid 1px white; 
}


/* pretty much all the stuff in the hero section*/
.Hero__Section_container
{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    height: calc(60vh - 65px);
}

/*the main zomato text logo*/
.Hero__Section_logo
{
    width: 285px;
    height: auto;
}

/*for the "discover foods..." part*/
.Hero__Section_title
{
    text-align: center;
    font-size: 37px;
    font-weight: 350;
}


/*the container containing navigation bars at the center of the page*/
.Hero__Section_input_container
{
    background-color: white;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 50%;
    border-radius: 10px;
}

/*the navigation bars below the logo*/
.input_container_location,
.input_container_search
{
    padding: 5px;
    border: none;
    outline: none;
}

.input_container_location
{
    width: 35%;
    border-right: solid 2px #e0e0e0;
}

.input_container_search
{
    width: 65%;
}

/*In order to keep the display of the website on a smaller screen to be organized*/
@media only screen and (max-width: 600px)
{
    .navbar__menu_container .user_icon
    {
        display: flex;
    }
    .link
    {
        display: none;
    }
    .Hero__Section_container
    {
        flex-direction: column;
        background-color: transparent;
        width: 100%;
    }
    .input_container_location
    .input_container_search
    {
        padding: 18px;
        border-radius: 10px;
        width: 98%;
    }
    .Hero__Section_container
    {
        height: calc(80vh - 40px);
    }
    .Hero__Section_title
    {
        font-size: 18px;
        width: 95%;
    }
}

.offering__container
{
    margin: 3rem auto;
    width: 90%;
}

.offering
{
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
    align-items: center;
    justify-content: center;
    padding: 25px;
}

.offering__card
{
    border-radius: 10px;
    /*background-color: aqua;*/
    overflow: hidden;
    border: 1px solid #e0e0e0;
    transition: all 0.4s ease;

}

.offering__card:hover
{
    transform: scale(1.04);
}

.offering__card img
{
    width: 100%;
    height: 170px;
    object-fit: cover;
    object-position: center;
}

.offering__content
{
    padding: 10px;
}

.offering__content h2
{
    font-size: 20px;
    font-weight: 400;
}

.offering__content p
{
    font-size: 12.5px;
}


.collections h1{
    font-weight: 600;
}

.collections .sub__heading_container
{
    font-size: 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 1rem;
}

.sub__heading_container span:nth-child(2)
{
    color: #ff7e8b;
    font-size: 13px;
    cursor: pointer;
}

.collections h5
{
    padding: 20px;
}

.collections_card_container
{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 0.5rem;
    margin-top: 1.25rem;
}

.collections_card_container .card
{
    height: 300px;
    min-width: 240px;
    background-size: cover;
    background-position: center;
    border-radius: 10px;
    position: relative;
}

.card1
{
    background-image: url('./images/collection1.jpg');
}

.card2
{
    background-image: url('./images/collection2.jpg');
}

.card3
{
    background-image: url('./images/collection3.jpg');
}

.card4
{
    background-image: url('./images/collection4.jpg');
}


.overlay
{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    border-radius: 10px;
    background: linear-gradient
    (
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 2, 1) 50%,
        rgba(0, 0, 0, 1) 85%,
    );
    z-index: 5;
}

.collections_card_container .card .content{
    position: absolute;
    bottom: 0;
    left: 0;
    color: white;
    padding: 12px 16px;
    font-size: 0.9rem;
    z-index: 6;
}

.content h4{
    font-weight: 400;
    letter-spacing: 0.5px;
}


.collections
{
    margin: 60px 150px;
}

.collections_heading h2
{
    font-size: 2.5rem;
    font-weight: 400;
    margin-bottom: 10px;
}

.collections_heading div
{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 30px;
}

.collections_heading h6
{
    margin: 0;
    font-size: 1.1rem;
    font-weight: 260;
}

.sub__heading_container span
{
    color: #ff7e8b;
    font-size: 13px;
    cursor: pointer;
}

.card1
{
    background-image: url('./images/collection1.jpg');
}

.card2
{
    background-image: url('./images/collection2.jpg');
}

.card3
{
    background-image: url('./images/collection3.jpg');
}

.card4
{
    background-image: url('./images/collection4.jpg');
}

.collections_card_container
{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 0.5rem;
    margin-top: 1.25rem;
}

.collections_card_container .card
{
    height: 300px;
    min-width: 240px;
    background-size: cover;
    background-position: center;
    border-radius: 10px;
    position: relative;
}

.overlay
{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 10px;
    background: linear-gradient(
      
        rgba(225, 0, 0, 1) 0%,
        rgba(225, 0, 2, 1) 50%,
        rgba(225, 0, 0, 1) 85%,
    );
    z-index: 5;
}

.collections_card_container .card .content
{
    position: absolute;
    bottom: 0;
    left: 0;
    color: white;
    padding: 12px 16px;
    font-size: 0.9rem;
    z-index: 6;
}

.content h4
{
    font-weight: 400;
    letter-spacing: 0.5px;
}

.get_app
{
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgb(255, 251, 247);
    width: 100%;
    padding: 3rem 6rem;
}

.get_app .semicontainer
{
    width: 60%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}

.get_app .semicontainer .left
{
    /*flex: 2;*/
    width: 40%;
}

.get_app .semicontainer .left img
{
    width: 50%;
    
    object-position: center;
    height: 40%;
}

.get_app .semicontainer .right
{
    flex: 3;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.get_app .semicontainer .right .download__app_container img
{
    display: flex;
    cursor: pointer;
    width: 30%;
}

.right h1
{
    font-weight: 400;
    font-size: 2.7rem;
}

.right p
{
    font-size: 0.8rem;
}

.right .radio__button_container
{
    display: flex;
    align-items: center;
    gap: 1rem;
}

.right .radio__button_container div
{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.right .radio__button_container div input
{
    height: 15px;
    width: 15px;
    accent-color: rgb(239,79,95);
}

.right .input_container
{
    display: flex;
    gap: 0.5rem;
}

.input_container button,
.input_container input
{
    padding: 10px 12px;
}

.input_container input
{
    flex: auto;
    border: 1.5px solid gray;
    outline: none;
    border-radius: 5px;
}

.input_container button
{
    border: none;
    background-color: rgb(239,79,95);
    color: white;
    border-radius: 3px;
    cursor: pointer;
}

.right .download__app_container
{
    display: flex;
    flex-direction: column;
    gap: 0.7rem;
}

.download__app_container h5
{
    font-weight: 200;
    color: gray;
    gap: 50px;
}

.input_container
{
    flex-wrap: wrap;
}

.right .download__app_container div
{
    display: flex;
    gap: 1rem;
}

.download__app_container div img
{
    width: 40%;
}

/*Media queries for download app section*/
@media only screen and (min-width:1300px)
{
    .get_app .semicontainer .left,
    .get_app .semicontainer .right
    {
        flex: 1;
    }

    .get_app .semicontainer
    {
        width: 80%;
    }
}

@media only screen and (max-width:900px)
{
    .get_app
    {
        padding: 2rem 0;
    }

    .get_app .semicontainer
    {
        width: 95%;
        flex-direction: column;
    }
}

.footer
{
    width: 100%;
}

.footer_sec1
{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    width: 80%;
    margin: auto;
}

.footer_sec1 img
{
    width: 130px;
}

.sec1_buttoncontainer
{
    display: flex;
    gap: 1rem;
}

.sec1_buttoncontainer
{
    padding: 5px;
    width: 90px;
    border: 1px solid gray;
    border-radius: 5px;
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    cursor: pointer;

}

.navigation_container
{
    display: grid;
    grid-template-columns:repeat(5, 1fr);
    width: 80%;
    margin: auto;
    gap: 1rem;
    padding: 3rem 0;
}

.link__container
{
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.link__container h5
{
    font-weight: 500;
    font-size: 15px;
    margin-bottom: 5px;
    letter-spacing: 0.8px;
}

.footer__link
{
    text-decoration: none;
    color: gray;
    font-weight: 300;
    font-size: 13px;
}

.footer__link:hover
{
    color: black;
}

.section__links_container
{
    display: flex;
    gap: 0.8rem;
}

.section__links_container button
{
    background-color: black;
    border: none;
    width: 25px;
    height: 25px;
    border-radius: 30px;
    color: white;
    cursor: pointer;
}

.section__links_container button i
{
    color: white;
    font-size: 13px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer__section_logos img
{
    width: 100%;
}

.disclaimer
{
    width: 95%;
    color: grey;
    align-items: center;
    margin: auto;
    border-top: 1px solid gray;
    padding-top: 1.5rem;
}

.container .localities
{
    display: flex;
    flex-direction: column;
}

@media only screen and (max-width: 900px)
{
    .navigation_container
    {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media only screen and (max-width: 500px)
{
    .navigation_container
    {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media only screen and (max-width: 320px)
{
    .navigation_container
    {
        grid-template-columns: repeat(1, 1fr);
    }
}

.middle h1
{
    font-size: 2.1rem;
    font-weight: 320;
    text-align: center;
    margin: 50px;
    color: rgb(56, 56, 56);
}

.localities
{
    display: grid;
    justify-content: center;
    grid-column-gap: 20px;
    grid-row-gap: 30px;
    grid-template-columns: 340px 340px;
    grid-template-rows: auto;
}

.box
{
    border: 1px solid rgb(235, 233, 233);
    box-shadow: 0 1px 3px rgb(226, 223, 223);
    border-radius: 10px;
    width: 340px;
    height: 75px;
}

.box div
{
    overflow: hidden;
    display: flex;
    align-items: center;
    margin: 20px;
}

.box div span
{
    color: rgb(65, 64, 64);
    font-size: 1.2rem;
    display: inline-block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.explore_heading
{
    display: flex;
    margin: 3%;
}

.explore_heading h2
{
    font-weight: 400;
    font-size: 2rem;
}

.explore__heading__options
{
    display: flex;
    margin: 3%;
    font-weight: 350;
    font-size: 1.2rem;
    justify-content: space-between;
    border: 1px solid #e0e0e0;
    padding-left: 3%;
    padding-top: 3%;
    overflow: hidden;
    border-radius: 5px;
    cursor: pointer;
}

.explore__heading__options span:nth-child(2)
{
    border: none;
    justify-content: center;
}

/* fin */